import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;


/**
 * The line button; draws lines on the canvas
 *
 * @author Annmarie Stanley and Hannah Chadd.
 *         Created Apr 10, 2008.
 */
public class lineButton extends JButton implements MouseListener,
		ActionListener {

	/** Creates a lineButton */
	@SuppressWarnings("deprecation")
	public lineButton() {
		super();
		this.setLabel("Line");
	}
	
	
	public void mouseClicked(MouseEvent arg0) {
		// Empty

	}

	public void mouseEntered(MouseEvent e) {
		// Empty

	}

	public void mouseExited(MouseEvent e) {
		// Empty
	}

	public void mousePressed(MouseEvent e) {
		CanvasPanel.changeButton(8);

	}

	public void mouseReleased(MouseEvent e) {
		// Empty

	}

	public void actionPerformed(ActionEvent e) {
		// Empty

	}

}
